Page MenuHomePhabricator

Non-free content on Ingush Wikipedia
Closed, ResolvedPublic

Description

Hello! I am an administrator at the Ingush Wikipedia. We created criteria for using non-free content on our wiki. Who can help us, what needs to be done next so that the ability to download and use non-free files is enabled in the Ingush Wikipedia (of course, subject to the criteria for fair use)? Thank you! Sincerely

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable local uploads on inh.wiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2019, 3:52 PM

Please add a summary of the policy at Non-free content#Exemption Doctrine Policy. Look up for the name of your wiki. Also put yes/no for local upload? question as appropriate

Sorry, but I don't understand a bit. I can't edit this page. But I translated it into Ingush: https://meta.wikimedia.org/wiki/Non-free_content/inh . What exactly do I need to do? I apologize for the concern, but I hope for your help.

Please help us understand why can you not edit that page. You need to link to your policy by adding it to the table and fill in the table columns.

Hi @Adam-Yourist, I already added a table row for your wiki here. Look for edp summary= column and give brief summary of your policy in English. (Look how the rest are done). I obviously can do that since I can't read your language to know what summarize. If you find it difficult to edit the table (it's a bit complicated) you can paste the summary here so I can copy it over there.

Also if the upload is enabled, who will be allowed by default to upload? Is it all logged users? admins only? or a special uploader group? You should add the answer to that in local uploads= column.

Ammarpad claimed this task.Dec 6 2019, 11:40 AM
Ammarpad moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

Ok. I ask you to do it. Thank you! So:
Local uploads= Administrators, uploaders.
EDP summary= Similar to enwiki. Non-free content must have no free equivalent, must not hurt the copyrighted work's commercial value, must have been previously published elsewhere, must be used minimally, and is permitted only in article and incubator namespaces.

Change 555621 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Enable local uploads on inh.wiki

https://gerrit.wikimedia.org/r/555621

Ok. I ask you to do it. Thank you! So:
Local uploads= Administrators, uploaders.
EDP summary= Similar to enwiki. Non-free content must have no free equivalent, must not hurt the copyrighted work's commercial value, must have been previously published elsewhere, must be used minimally, and is permitted only in article and incubator namespaces.

Updated the page. However given that this is quite a small wiki with zero members in custom user groups, it does not make sense start hierarchies with upload . So I will suggest to initially limit the upload to autoconfirmed, if it's being abused then you can request creation of new group (cf. T216615) or restriction to admins.

Good. I agree.

Ok. I ask you to do it. Thank you! So:
Local uploads= Administrators, uploaders.
EDP summary= Similar to enwiki. Non-free content must have no free equivalent, must not hurt the copyrighted work's commercial value, must have been previously published elsewhere, must be used minimally, and is permitted only in article and incubator namespaces.

Updated the page. However given that this is quite a small wiki with zero members in custom user groups, it does not make sense start hierarchies with upload . So I will suggest to initially limit the upload to autoconfirmed, if it's being abused then you can request creation of new group (cf. T216615) or restriction to admins.

Dear Ammarpad. I believe that local loading in Inhwiki is already enabled, or not? When i click in the left pane of the special pages on "Файл чуяккха" (Upload file), the "Download Wizard" in Commons opens. How to make when clicking in the left pane of the special pages, open page "Special:Файл чуяккха"? How to make the "Download Wizard" not open, but open like "Download File" in Russian Wikipedia? Thank You! And I apologize for bothering you.

Ammarpad added a comment.EditedDec 9 2019, 10:57 PM

Dear Ammarpad. I believe that local loading in Inhwiki is already enabled, or not? When i click in the left pane of the special pages on "Файл чуяккха" (Upload file), the "Download Wizard" in Commons opens.

No, local upload is not yet enabled. That link is sending you to a different domain than inhwiki. That's https://commons.wikimedia.org/.

How to make when clicking in the left pane of the special pages, open page "Special:Файл чуяккха"? How to make the "Download Wizard" not open, but open like "Download File" in Russian Wikipedia? Thank You! And I apologize for bothering you.

That's possible. I will do that.

Also no need to apologize. Rest assured you're not bothering me! :)

What is the special page "Special:Файл чуяккха"? . It does not exist https://inh.wikipedia.org/wiki/Special:Файл чуяккха?uselang=eng

Base added a subscriber: Base.Dec 15 2019, 1:24 AM

@Ammarpad , might it have to do with inhwiki being listed in commonsuploads.dblist ? I assume that makes commonsuploads of wgUploadNavigationUrl being applied to it, does it not?

@Ammarpad , might it have to do with inhwiki being listed in commonsuploads.dblist ? I assume that makes commonsuploads of wgUploadNavigationUrl being applied to it, does it not?

Yes, that's the case.

If the upload is enabled, I believe the link will change to that.

Base added a comment.Dec 15 2019, 10:51 PM

Ah, just noticed that the patchset is basically about excluding it from commonsuploads. So I assume uploads via were never disallowed on inhwiki, one just had to visit Special:Upload by a direct link, but now the default upload file link would also be changed.

Ah, just noticed that the patchset is basically about excluding it from commonsuploads. So I assume uploads via were never disallowed on inhwiki,

No, local upload is not possible.

one just had to visit Special:Upload by a direct link, but now the default upload file link would also be changed.

No, that would be a monumental security flaw. There's additional logic beyond that. If a wiki is in that list, the right to upload (as well as reupload, reupload-own, reupload-shared) are automatically stripped from user groups in the wiki. So no, you cannot circumvent the disabling by going directly to Special:Upload.

Change 555621 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable local uploads on inh.wiki

https://gerrit.wikimedia.org/r/555621

Mentioned in SAL (#wikimedia-operations) [2020-01-06T19:25:42Z] <urbanecm@deploy1001> Synchronized dblists/commonsuploads.dblist: SWAT: 0f045c3: Enable local uploads on inh.wiki (T239925) (duration: 00m 54s)

Zoranzoki21 closed this task as Resolved.Mon, Jan 6, 7:26 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

Deployed! Closing task as resolved.